Site Map

Back to support

Frequently Asked Questions

Are your plug-ins compatible with OS-X 10.14 Mojave?

There is a problem installing our plug-ins onto OS-X 10.14 Mojave. The installer shows success but upon launching the plug-in you will get an error “installation incorrect”, and the plug will be in demo timeout mode. This affects all Power Suite and Master Restoration Suite plugs and Dialog. Tube Saturator Vintage and Tube Saturator 2 do not have this problem. This only affects first time installation, if you are migrating your OS to 10.14 from an earlier version the plugs should be fine and do not require re-installation or re-registration. We are working to correct this issue with an update.